ResourceBundle::count
ResourceBundle::getErrorCode
ResourceBundle
PHP Manual

# ResourceBundle::create

# resourcebundle_create

# ResourceBundle::__construct

(PHP >= 5.3.2, PECL intl >= 2.0.0)

ResourceBundle::create -- resourcebundle_create -- ResourceBundle::__construct — Create a resource bundle

### Description

Object oriented style (method)

public static ResourceBundle ResourceBundle::create ( string `$locale` , string `$bundlename` [, bool `$fallback` ] )

Procedural style

ResourceBundle resourcebundle_create ( string `$locale` , string `$bundlename` [, bool `$fallback` ] )

Object oriented style (constructor):

public ResourceBundle::__construct() ( string `$locale` , string `$bundlename` [, bool `$fallback` ] )

Creates a resource bundle.

### Parameters

`locale`

  Locale for which the resources should be loaded (locale name, e.g. en_CA).

`bundlename`

  The directory where the data is stored or the name of the .dat file.

`fallback`

  Whether locale should match exactly or fallback to parent locale is allowed.

### Return Values

Returns ResourceBundle object or `FALSE` on error.

### Examples

Example #1 resourcebundle_create() example

`<?php
$r = resourcebundle_create( 'es', "/usr/share/data/myapp");
echo $r['teststring'];
?>`

Example #2 ResourceBundle::create() example

`<?php
$r = ResourceBundle::create( 'es', "/usr/share/data/myapp");
echo $r['teststring'];
?>`

The above example will output:

    ¡Hola, mundo!

### See Also

- resourcebundle_get() - Get data from the bundle

ResourceBundle::count
ResourceBundle::getErrorCode
ResourceBundle
PHP Manual